@echo off
::color 1B
chcp 936
MODE CON COLS=100 LINES=36
title Proxmark3固件刷写工具
echo 操作说明(强刷)：
echo   1、按住按钮开机，不要松手
echo   2、在设备管理器查找端口号
echo   3、刷机完成松开按钮
echo 操作说明(常规)：
echo   1、设备启动直接执行，必要时候修改端口号
echo.

::可以修改为自己的端口号
set num=2
set /p num= 设备端口号(默认"%num%"):
goto :all

:all
cls
title Proxmark3固件刷写工具
echo.
echo	开始写入（RDV4固件）bootrom和fullimage文件，请稍等!
echo.
if not exist Data md Data
cd Data
..\Proxmark3\RDV4.exe com%num%  --flash --unlock-bootloader --image  ..\Firmware\RDV4\bootrom\bootrom.elf --image ..\Firmware\RDV4\fullimage.elf

cls
title Proxmark3固件刷写工具
echo.
echo	Proxmark3（RDV4）固件刷入完成
echo.
pause.